import type { _VNCoreMLModel } from "./VNCoreMLModel.js";
import type { _VNImageBasedRequest } from "./VNImageBasedRequest.js";
import type { _VNRequest } from "./VNRequest.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { VNImageCropAndScaleOption } from "./VNImageCropAndScaleOption.js";
export declare class _VNCoreMLRequest extends _VNImageBasedRequest {
    static alloc(): _VNCoreMLRequest;
    static new(): _VNCoreMLRequest;
    init(): _VNCoreMLRequest;
    /** Create a new request with a model. The VNCoreMLModel to be used. */
    initWithModel$(model: _VNCoreMLModel): _VNCoreMLRequest;
    /**
     * Create a new request with a model. The VNCoreMLModel to be used. The block that is invoked when the request has been performed.
     */
    initWithModel$completionHandler$(model: _VNCoreMLModel, completionHandler: ((arg0: _VNRequest, arg1: _NSError) => void) | null): _VNCoreMLRequest;
    /** The model from CoreML wrapped in a VNCoreMLModel. */
    model(): _VNCoreMLModel;
    imageCropAndScaleOption(): VNImageCropAndScaleOption;
    setImageCropAndScaleOption$(value: VNImageCropAndScaleOption): void;
}
